[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DoUnDock

Notifies an OnUnDock handler and DockManager of the undocked client control.

## Declaration

Source position: controls.pp line 1794

`protected function TWinControl.DoUnDock(`
`NewTarget: TWinControl;`
`Client: TControl;`
`KeepDockSiteSize: Boolean = true`
`):Boolean; virtual;`

## Description

The OnUnDock handler can deny to undock the control.

## See also

TWinControl.DoUndockClientMsg |  | Notifies the DockManager of the undock of a client control; always returns True.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.